from ete2 import Tree
import sys

''' 
USAGE:
  python RF_distance.py <output_tree_file> <expert_tree_file>
  Both tree files must be in newick format.
'''

# Load tree 1
t1n = sys.argv[1]
with open(t1n) as f:
    t1s = f.read()
t1 = Tree(t1s)

# Load tree 2
t2n = sys.argv[2]
with open(t2n) as f:
    t2s = f.read()
t2 = Tree(t2s)

rf, rf_max, common_attrs, names, edges_t1, edges_t2, discarded_edges_t1 = t1.robinson_foulds(t2,unrooted_trees=True)

# At most there are 2*leaves-3 elementary changes to transform t1 into t2
leaves = len(t2)
maxnodes = 2*leaves-3
print float(rf)/maxnodes